Can't install OD 1.7.0 with ES 7.6.1 on Centos 7

Hi ,

i’ve install ELK stack on a Centos 7 server everything works as expected , so when i try to install OpenDistro 1.7.0 with ES 7.6.1 which is compatible following the doc : https://opendistro.github.io/for-elasticsearch-docs/docs/install/plugins/ , i get the error below :

Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package opendistroforelasticsearch.noarch 0:1.7.0-1 will be installed
--> Processing Dependency: elasticsearch-oss = 7.6.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-sql < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-security < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-performance-analyzer < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-knn < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-job-scheduler < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-index-management < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-anomaly-detector < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-alerting < 1.7.1 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-sql >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-security >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-performance-analyzer >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-knn >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-job-scheduler >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-index-management >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-anomaly-detector >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Processing Dependency: opendistro-alerting >= 1.7.0 for package: opendistroforelasticsearch-1.7.0-1.noarch
--> Running transaction check
---> Package elasticsearch-oss.x86_64 0:7.6.1-1 will be installed
---> Package opendistro-alerting.noarch 0:1.7.0.0-1 will be installed
---> Package opendistro-anomaly-detector.noarch 0:1.7.0.0-1 will be installed
---> Package opendistro-index-management.noarch 0:1.7.0.0-1 will be installed
---> Package opendistro-job-scheduler.noarch 0:1.7.0.0-1 will be installed
---> Package opendistro-knn.noarch 0:1.7.0.0-1 will be installed
---> Package opendistro-performance-analyzer.noarch 0:1.7.0.0-1 will be installed
---> Package opendistro-security.noarch 0:1.7.0.0-0 will be installed
---> Package opendistro-sql.noarch 0:1.7.0.0-1 will be installed
--> Processing Conflict: elasticsearch-7.6.1-1.x86_64 conflicts elasticsearch-oss
--> Processing Conflict: elasticsearch-oss-7.6.1-1.x86_64 conflicts elasticsearch
--> Finished Dependency Resolution
Error: elasticsearch-oss conflicts with elasticsearch-7.6.1-1.x86_64
Error: elasticsearch conflicts with elasticsearch-oss-7.6.1-1.x86_64
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest ```

OpenDistro available packages : 


opendistroforelasticsearch.noarch                      0.7.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      0.7.1-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      0.8.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      0.9.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      0.10.0-1                      opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.0.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.0.1-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.0.2-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.1.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.2.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.2.1-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.3.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.4.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.6.0-1                       opendistroforelasticsearch-artifacts-repo
opendistroforelasticsearch.noarch                      1.7.0-1                       opendistroforelasticsearch-artifacts-repo 

Please anyone can help :slight_smile: